
package cn.orionsec.ops.mapping.home;

import cn.orionsec.kit.lang.utils.convert.TypeStore;
import cn.orionsec.ops.entity.dto.statistic.StatisticsCountDTO;
import cn.orionsec.ops.entity.vo.home.HomeStatisticsCountVO;

public class StatisticsConversion {

    static {
        TypeStore.STORE.register(StatisticsCountDTO.class, HomeStatisticsCountVO.class, p -> {
            HomeStatisticsCountVO vo = new HomeStatisticsCountVO();
            vo.setMachineCount(p.getMachineCount());
            vo.setProfileCount(p.getProfileCount());
            vo.setAppCount(p.getAppCount());
            vo.setPipelineCount(p.getPipelineCount());
            return vo;
        });
    }

}
